<template>
  <div
    class="input"
    :class="{
      'input--is-focused': isFocused
    }"
    tabindex="0"
    @focus="focus"
  >
    <input
      ref="input"
      v-model="val"
      type="text"
      class="input__input"
      :placeholder="placeholder"
      @focus="focus"
      @blur="blur"
    >
    <slot name="after" />
  </div>
</template>

<script>
import formElementMixin from '../formElementMixin';

export default {
  name: 'FormInput',
  mixins: [formElementMixin],
};
</script>

<style lang="scss">
  @import "../formElementMixin";
  .input {
    @include container;

    &__input {
      @include input;

      &::placeholder {
        @include placeholder;
      }
    }
  }
</style>
